Bug 452396 - Regression of WPA with hidden ssid bug.
Regression of WPA with hidden ssid bug.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-21 22:53 EDT by Richard Guest
Modified: 2014-06-30 12:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:14:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Guest 2008-06-21 22:53:40 EDT
Description of problem:
My home network is WPA-PSK with hidden ssid (so I'm unsure whether this is
specifically related to one or both settings).
For some time with fc8 I was having problems with the NM service requiring a
restart to successfully connect to the Network.
This was fixed in fc9 until I yum updated to 0.7.0-0.9.4.svn3675.fc9 when the
problem came back.

I have since reverted to 0.7.0-0.9.3.svn3623.fc9 which has fixed my problem.

Version-Release number of selected component (if applicable):
NetworkManager, NetworkManager-glib, NetworkManager-gnome 0.7.0-0.9.4.svn3675.fc9
This is on a Dell D610 Laptop with Intel 915abg chip using ipw2200 driver.

How reproducible:
100%

Steps to Reproduce:
1. Connect to AP with hidden ssid and WPA-PSK, saving passphrase to keyring.
2. Disconnect - I usually suspend here...
3. Reconnection fails asking for passphrase - repetitively.
4. service NetworkManager restart - suddenly succeeds.
  
Actual results:
NM service requires restart to reconnect to wireless network.

Expected results:
Same as 0.7.0-0.9.3.svn3623.fc9 - which automatically reconnects (after the
initial configuration) consistently.

Additional info:
I realise this is probably a duplicate bug report, but I couldn't find a report
that accurately described the problem I was having (or similar).
I can provide NM and wpa_supplicant logs if requested.
Comment 1 Dan Williams 2009-03-04 13:59:43 EST
suspend/resume issues are generally driver issues; does this still happen with recent kernels and NM updates?
Comment 2 Richard Guest 2009-03-04 15:18:07 EST
Sure, but whatever NetworkManager (or wpa_supplicant) does when it interacts with the driver after suspend/resume and service restart would sort it out...

I gave up on hidden ssid shortly after submitting this report and haven't had to use hidden ssid wireless since, so I have no idea if it's working right now.

I might try again when I get home tonight.
Comment 3 Niels Haase 2009-04-08 17:11:16 EDT
Reporter, are you still running Fedora 9, or have you upgraded to Fedora 10 or
Rawhide? In either case, can you let us know whether the issue is still
happening, and give the current version of the kernel and NM packages you're
using. Thank you.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2009-06-09 21:43:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:14:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Richard Guest 2014-06-30 12:14:29 EDT
This is retarded. This bug has been marked closed won't fix for 5 years, but I'm still getting emails about it!

The following is a list of requests people have made of you, which have been
outstanding more than 7 days. To avoid disappointing others, please deal with
them as quickly as possible.

needinfo
--------

  Bug 452396: Regression of WPA with hidden ssid bug. (1909 days old)
    https://bugzilla.redhat.com/show_bug.cgi?id=452396

Note You need to log in before you can comment on or make changes to this bug.